Bug 1572952 - Upgrade from 6.3.1 -> 6.4 failed at Upgrade Step: Running installer
Summary: Upgrade from 6.3.1 -> 6.4 failed at Upgrade Step: Running installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.4.0
Assignee: Eric Helms
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 07:29 UTC by Nikhil Kathole
Modified: 2019-11-05 23:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:02:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-debug (5.28 MB, application/x-xz)
2018-04-29 07:29 UTC, Nikhil Kathole
no flags Details

Description Nikhil Kathole 2018-04-29 07:29:34 UTC
Created attachment 1428323 [details]
foreman-debug

Description of problem: Upgrade from satellite fresh installed 6.3.1 -> 6.4 failed at Upgrade Step: Running installer

File[/var/lib/tftpboot/grub]                       [85%]Installing             File[/var/lib/tftpboot/grub2]                      [85%]Installing             File[/var/lib/tftpboot/boot]                       [85%]Installing             File[/var/lib/tftpboot/ztp.cfg]                    [85%]Installing             File[/var/lib/tftpboot/poap.cfg]                   [85%]Installing             File[/var/lib/tftpboot/grub2/grub.cfg]             [86%]Installing             Package[grub2-efi-x64]                             [86%]Installing             Package[grub2-efi-x64-modules]                     [86%]Installing             Package[grub2-tools]                               [86%]Installing             Package[shim-x64]                                  [86%]Installing             Exec[build-grub2-efi-image]                        [86%]Installing             File[/var/lib/tftpboot/grub2/grubx64.efi]          [87%]Installing             File[/var/lib/tftpboot/grub2/shim.efi]             [87%]Installing             File[/etc/sudoers.d]                               [87%]Installing             File[/etc/sudoers.d/foreman-proxy]                 [87%]Installing             Service[puppetserver]                              [87%] Systemd start for puppetserver failed!
 journalctl log for puppetserver:
 -- Logs begin at Sat 2018-04-28 05:41:11 EDT, end at Sun 2018-04-29 01:31:34 EDT. --
 Apr 29 01:31:05 <satellite-hostname> systemd[1]: Starting puppetserver Service...
 Apr 29 01:31:06 <satellite-hostname> puppetserver[22092]: OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: Exception in thread "main" java.lang.RuntimeException: Service ':FilesystemWatchService' not found
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$handle_prismatic_exception_BANG_.invokeStatic(internal.clj:121)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$handle_prismatic_exception_BANG_.invoke(internal.clj:111)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$instantiate$fn__13800.invoke(internal.clj:162)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$instantiate.invokeStatic(internal.clj:159)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$instantiate.invoke(internal.clj:152)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14334$build_app_STAR___14343$fn__14344.invoke(internal.clj:569)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14334$build_app_STAR___14343.invoke(internal.clj:537)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14436$boot_services_STAR___14445$fn__14446$fn__14447.invoke(internal.clj:639)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14436$boot_services_STAR___14445$fn__14446.invoke(internal.clj:638)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14436$boot_services_STAR___14445.invoke(internal.clj:633)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15266$boot_with_cli_data__15273$fn__15274.invoke(core.clj:130)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15266$boot_with_cli_data__15273.invoke(core.clj:95)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15295$run__15300$fn__15301.invoke(core.clj:151)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15295$run__15300.invoke(core.clj:145)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$main.invokeStatic(core.clj:173)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$main.doInvoke(core.clj:159)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.RestFn.invoke(RestFn.java:512)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.invoke(Var.java:409)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.AFn.applyToHelper(AFn.java:178)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.applyTo(Var.java:700)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.core$apply.invokeStatic(core.clj:646)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.core$apply.invoke(core.clj:641)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.main$_main.invokeStatic(main.clj:7)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.main$_main.doInvoke(main.clj:4)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.RestFn.invoke(RestFn.java:512)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.invoke(Var.java:409)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.AFn.applyToHelper(AFn.java:178)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.applyTo(Var.java:700)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.core$apply.invokeStatic(core.clj:646)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main_opt.invokeStatic(main.clj:314)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main_opt.invoke(main.clj:310)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main.invokeStatic(main.clj:421)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main.doInvoke(main.clj:384)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.RestFn.invoke(RestFn.java:619)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.invoke(Var.java:430)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.AFn.applyToHelper(AFn.java:195)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.applyTo(Var.java:700)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main.main(main.java:37)
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: puppetserver.service: control process exited, code=exited status=1
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: Failed to start puppetserver Service.
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: Unit puppetserver.service entered failed state.
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: puppetserver.service failed.
 
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/service/systemd.rb:167:in `rescue in start'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/service/systemd.rb:163:in `start'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type/service.rb:103:in `block (3 levels) in <module:Puppet>'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:491:in `set'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:568:in `sync'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type/service.rb:114:in `sync'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:236:in `sync'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in `sync_if_needed'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:80:in `perform_changes'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:21:in `evaluate'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:257:in `apply'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:277:in `eval_resource'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:181:in `call'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:181:in `block (2 levels) in evaluate'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:513:in `block in thinmark'
 /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:512:in `thinmark'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:181:in `block in evaluate'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:121:in `traverse'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:171:in `evaluate'
 /usr/share/gems/gems/kafo-2.1.0/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb:30:in `evaluate_with_trigger'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:239:in `block (2 levels) in apply'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:513:in `block in thinmark'
 /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:512:in `thinmark'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:238:in `block in apply'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:156:in `with_destination'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:146:in `as_logging_destination'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:237:in `apply'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:187:in `block (2 levels) in apply_catalog'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:513:in `block in thinmark'
 /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:512:in `thinmark'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:186:in `block in apply_catalog'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:232:in `block in benchmark'
 /opt/puppetlabs/puppet/lib/ruby/2.4.0/benchmark.rb:308:in `realtime'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:231:in `benchmark'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:185:in `apply_catalog'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:368:in `run_internal'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:239:in `block in run'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:213:in `run'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:354:in `apply_catalog'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block (2 levels) in main'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:280:in `block in main'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:260:in `override'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:233:in `main'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:174:in `run_command'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `block in run'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:661:in `exit_on_fail'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in `run'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:137:in `run'
 /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:73:in `execute'
 /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'
  /Stage[main]/Puppet::Server::Service/Service[puppetserver]/ensure: change from 'stopped' to 'running' failed: Systemd start for puppetserver failed!
 journalctl log for puppetserver:
 -- Logs begin at Sat 2018-04-28 05:41:11 EDT, end at Sun 2018-04-29 01:31:34 EDT. --
 Apr 29 01:31:05 <satellite-hostname> systemd[1]: Starting puppetserver Service...
 Apr 29 01:31:06 <satellite-hostname> puppetserver[22092]: OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: Exception in thread "main" java.lang.RuntimeException: Service ':FilesystemWatchService' not found
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$handle_prismatic_exception_BANG_.invokeStatic(internal.clj:121)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$handle_prismatic_exception_BANG_.invoke(internal.clj:111)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$instantiate$fn__13800.invoke(internal.clj:162)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$instantiate.invokeStatic(internal.clj:159)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$instantiate.invoke(internal.clj:152)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14334$build_app_STAR___14343$fn__14344.invoke(internal.clj:569)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14334$build_app_STAR___14343.invoke(internal.clj:537)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14436$boot_services_STAR___14445$fn__14446$fn__14447.invoke(internal.clj:639)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14436$boot_services_STAR___14445$fn__14446.invoke(internal.clj:638)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.internal$eval14436$boot_services_STAR___14445.invoke(internal.clj:633)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15266$boot_with_cli_data__15273$fn__15274.invoke(core.clj:130)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15266$boot_with_cli_data__15273.invoke(core.clj:95)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15295$run__15300$fn__15301.invoke(core.clj:151)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$eval15295$run__15300.invoke(core.clj:145)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$main.invokeStatic(core.clj:173)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.core$main.doInvoke(core.clj:159)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.RestFn.invoke(RestFn.java:512)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.invoke(Var.java:409)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.AFn.applyToHelper(AFn.java:178)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.applyTo(Var.java:700)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.core$apply.invokeStatic(core.clj:646)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.core$apply.invoke(core.clj:641)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.main$_main.invokeStatic(main.clj:7)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at puppetlabs.trapperkeeper.main$_main.doInvoke(main.clj:4)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.RestFn.invoke(RestFn.java:512)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.invoke(Var.java:409)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.AFn.applyToHelper(AFn.java:178)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.applyTo(Var.java:700)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.core$apply.invokeStatic(core.clj:646)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main_opt.invokeStatic(main.clj:314)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main_opt.invoke(main.clj:310)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main.invokeStatic(main.clj:421)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main$main.doInvoke(main.clj:384)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.RestFn.invoke(RestFn.java:619)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.invoke(Var.java:430)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.AFn.applyToHelper(AFn.java:195)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.lang.Var.applyTo(Var.java:700)
 Apr 29 01:31:33 <satellite-hostname> puppetserver[22092]: at clojure.main.main(main.java:37)
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: puppetserver.service: control process exited, code=exited status=1
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: Failed to start puppetserver Service.
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: Unit puppetserver.service entered failed state.
 Apr 29 01:31:34 <satellite-hostname> systemd[1]: puppetserver.service failed.

 Installing             Service[puppet]                                    [87%]Installing             Service[puppet-run.timer]                          [88%]Installing             File[/etc/systemd/system/puppet-run.timer]         [88%]Installing             File[/etc/systemd/system/puppet-run.service]       [88%]Installing             Exec[systemctl-daemon-reload-puppet]               [88%]Installing             Cron[puppet]                                       [88%]Installing             File[/usr/share/foreman-proxy/.ssh]                [89%]Installing             Exec[generate_ssh_key]                             [89%]Installing             Exec[foreman-rake-apipie:cache:index]              [89%]Installing             File[/etc/foreman-proxy/settings.yml]              [89%]Installing             File[/etc/foreman-proxy/settings.d/bmc.yml]        [89%]Installing             File[/etc/foreman-proxy/settings.d/dhcp.yml]       [89%]Installing             File[/etc/foreman-proxy/settings.d/dhcp_isc.yml]   [90%]Installing             File[/etc/foreman-proxy/settings.d/dns.yml]        [90%]Installing             File[/etc/foreman-proxy/settings.d/dns_nsupdate.ym [90%]Installing             File[/etc/foreman-proxy/settings.d/dns_nsupdate_gs [90%]Installing             File[/etc/foreman-proxy/settings.d/dns_libvirt.yml [90%]Installing             File[/etc/foreman-proxy/settings.d/dhcp_libvirt.ym [90%]Installing             File[/etc/foreman-proxy/settings.d/puppet.yml]     [91%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_cu [91%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_le [91%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_mc [91%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_pu [91%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_pu [91%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_sa [92%]Installing             File[/etc/foreman-proxy/settings.d/puppet_proxy_ss [92%]Installing             File[/etc/foreman-proxy/settings.d/puppetca.yml]   [92%]Installing             File[/etc/foreman-proxy/settings.d/realm.yml]      [92%]Installing             File[/etc/foreman-proxy/settings.d/realm_freeipa.y [92%]Installing             File[/etc/foreman-proxy/settings.d/tftp.yml]       [93%]Installing             File[/etc/foreman-proxy/settings.d/templates.yml]  [93%]Installing             File[/etc/foreman-proxy/settings.d/logs.yml]       [93%]Installing             File[/etc/foreman-proxy/ssl_key.pem]               [93%]Installing             Pubkey[/etc/foreman-proxy/ssl_ca.pem]              [93%]Installing             File[/etc/foreman-proxy/foreman_ssl_key.pem]       [93%]Installing             Pubkey[/etc/foreman-proxy/foreman_ssl_ca.pem]      [94%]Installing             Key_bundle[/etc/pki/katello/private/qe-sat6-client [94%]Installing             File[/etc/pki/katello/private/qe-sat6-client-arch. [94%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [94%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [94%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [94%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [95%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [95%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [95%]Installing             Package[rubygem-smart_proxy_pulp]                  [95%]Installing             File[/etc/foreman-proxy/settings.d/pulp.yml]       [95%]Installing             File[/etc/foreman-proxy/settings.d/pulpnode.yml]   [95%]Installing             Package[rubygem-smart_proxy_dynflow]               [96%]Installing             File[/etc/foreman-proxy/settings.d/dynflow.yml]    [96%]Installing             Package[tfm-rubygem-smart_proxy_dynflow_core]      [96%]Installing             File[/etc/smart_proxy_dynflow_core/settings.yml]   [96%]Installing             File[/etc/smart_proxy_dynflow_core/settings.d]     [96%]Installing             File[/etc/systemd/system/smart_proxy_dynflow_core. [97%]Installing             File[/etc/systemd/system/smart_proxy_dynflow_core. [97%]Installing             Exec[systemctl-daemon-reload]                      [97%]Installing             Package[rubygem-smart_proxy_ansible]               [97%]Installing             File[/etc/foreman-proxy/settings.d/ansible.yml]    [97%]Installing             Package[rubygem-smart_proxy_discovery]             [97%]Installing             Package[rubygem-smart_proxy_openscap]              [98%]Installing             File[/etc/foreman-proxy/settings.d/openscap.yml]   [98%]Installing             Package[rubygem-smart_proxy_remote_execution_ssh]  [98%]Installing             File[/etc/foreman-proxy/settings.d/remote_executio [98%]Installing             Service[foreman-proxy]                             [98%]Installing             Datacat_collector[foreman_proxy::enabled_features] [98%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Service[smart_proxy_dynflow_core]                  [99%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%] Could not find a suitable provider for foreman_smartproxy

 Installing             Done                                               [100%]Installing             Done                                               [100%]
   Something went wrong! Check the log for ERROR-level output
   The full log is at /var/log/foreman-installer/satellite.log
 Upgrade failed during the installation phase. Fix the error and re-run the upgrade.
 



Version-Release number of selected component (if applicable):

 # rpm -q satellite
satellite-6.4.0-3.beta.el7sat.noarch


How reproducible:always


Steps to Reproduce:
1. Install 6.3.1 (puppet 4)
2. yum update
3. satellite-installer --upgrade

Actual results:


Expected results:


Additional info:

Comment 3 Sachin Ghai 2018-04-30 04:04:46 UTC
Nikhil: is this with new snap1 of 6.4 ?

Comment 4 Nikhil Kathole 2018-04-30 06:13:56 UTC
Yes, this one is the new snap!

Comment 6 Nikhil Kathole 2018-06-26 02:50:06 UTC
VERIFIED

Version tested:
sat 6.4 snap 9

Service[foreman-proxy]                             [98%]Installing             Datacat_collector[foreman_proxy::enabled_features] [98%]Installing             Foreman_smartproxy[qe-sat6-upgrade-rhel7.satqe.lab [99%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Service[smart_proxy_dynflow_core]                  [99%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Done                                               [100%]Installing             Done                                               [100%]

Installer completed successfully. Error Facter: fact "apt_has_dist_updates" resolve[K Facter: error while resolving custom fact "mongodb_is_master" seen while running installer. It is being tracked by https://bugzilla.redhat.com/show_bug.cgi?id=1592194

Comment 7 Bryan Kearney 2018-10-16 19:02:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.